freemarker.template.utility

## Class NullArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - freemarker.template.utility.NullArgumentException

All Implemented Interfaces:
  Serializable

    public class NullArgumentException
    extends IllegalArgumentException

Indicates that an argument that must be non-`null` was `null`.

Since:
  2.3.20
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NullArgumentException()`
`NullArgumentException(String argumentName)`
`NullArgumentException(String argumentName, String details)`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `check(Object argumentValue)`
`static void` `check(String argumentName, Object argumentValue)` Convenience method to protect against a `null` argument.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NullArgumentException

    public NullArgumentException()

#### NullArgumentException

    public NullArgumentException(String argumentName)

#### NullArgumentException

    public NullArgumentException(String argumentName,
                                 String details)

### Method Detail

#### check

    public static void check(String argumentName,
                             Object argumentValue)

Convenience method to protect against a `null` argument.

#### check

    public static void check(Object argumentValue)

Since:
  2.3.22